## gamemode 1.2

=== meson_options.txt ===
option('with-systemd', type: 'boolean', description: 'Use systemd support (unit, etc)', value: 'true')

# systemd specific
option('with-systemd-user-unit-dir', type: 'string', description: 'Explicitly set the systemd user unit directory')

# Not using systemd
option('with-dbus-service-dir', type: 'string', description: 'Explicitly set the D-BUS session directory')

# General options
option('with-examples', type: 'boolean', description: 'Build sample programs', value: 'true')
option('with-daemon', type: 'boolean', description: 'Build the daemon', value: 'true')

=== debian/changelog ===
gamemode (1.2-6) unstable; urgency=medium

  * Correct ABI name in -dev packages dependencies
  * Update standards version to 4.2.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 29 Aug 2018 20:18:44 +0200

gamemode (1.2-5) unstable; urgency=medium

  * Add versioned dependency for -dev packates (Closes: #905413)

 -- Jonathan Carter <jcc@debian.org>  Sat, 11 Aug 2018 11:18:56 +0200

gamemode (1.2-4) unstable; urgency=medium

  * Remove debian/gamemode.1 manpage (now provided upstream)
  * Add debian/source directory
  * Add watch file
  * Use upstream manpage
  * Fix copyright for subprojects/inih (Closes: #905552)

 -- Jonathan Carter <jcc@debian.org>  Sun, 05 Aug 2018 17:04:23 +0200

gamemode (1.2-3) unstable; urgency=medium

  * Fix -dev package names and relationships (Closes: #905413)

 -- Jonathan Carter <jcc@debian.org>  Sun, 05 Aug 2018 16:33:16 +0200

gamemode (1.2-2) unstable; urgency=medium

  * Upload to unstable
  * Set architecture to amd64 (only arch supported upstream)
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 03 Aug 2018 10:32:48 +0200

gamemode (1.2-1) experimental; urgency=medium

  * Initial release (Closes: #898213)

 -- Jonathan Carter <jcc@debian.org>  Fri, 13 Apr 2018 17:35:22 +0200

=== debian/control ===
Source: gamemode
Section: libs
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11),
               git,
               libinih-dev,
               libinih1,
               libsystemd-dev,
               meson,
               ninja-build,
               pkg-config,
               systemd
Standards-Version: 4.2.1
Homepage: https://github.com/FeralInteractive/gamemode
Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
Vcs-Browser: https://salsa.debian.org/games-team/gamemode

Package: gamemode
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode0, libgamemodeauto0
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.

Package: libgamemode0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the base library for gamemode.

Package: libgamemode-dev
Replaces: libgamemode0-dev
Breaks: libgamemode0-dev
Section: libdevel
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode0 (= ${binary:Version})
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the development files for the base library
 for gamemode.

Package: libgamemodeauto0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the libgamemodeauto library.

Package: libgamemodeauto-dev
Replaces: libgamemodeauto0-dev
Breaks: libgamemodeauto0-dev
Section: libdevel
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemodeauto0 (= ${binary:Version})
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the libgamemodeauto library development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with-dbus-service-dir=/lib/systemd/user --prefix=/usr --wrap-mode=forcefallback

## gamemode 1.2-2

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                ninja-build,
                pkg-config,
                systemd
-Standards-Version: 4.2.1
+Standards-Version: 4.2.0
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode
@@ -58,12 +58,10 @@
  .
  This package provides the base library for gamemode.
 
-Package: libgamemode-dev
-Replaces: libgamemode0-dev
-Breaks: libgamemode0-dev
+Package: libgamemode0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
@@ -106,12 +104,10 @@
  .
  This package provides the libgamemodeauto library.
 
-Package: libgamemodeauto-dev
-Replaces: libgamemodeauto0-dev
-Breaks: libgamemodeauto0-dev
+Package: libgamemodeauto0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemodeauto0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.

## gamemode 1.2-3

=== debian/control ===
--- 
+++ 
@@ -58,10 +58,12 @@
  .
  This package provides the base library for gamemode.
 
-Package: libgamemode0-dev
+Package: libgamemode-dev
+Replaces: libgamemode0-dev
+Breaks: libgamemode0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode
 Description: Optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
@@ -104,10 +106,12 @@
  .
  This package provides the libgamemodeauto library.
 
-Package: libgamemodeauto0-dev
+Package: libgamemodeauto-dev
+Replaces: libgamemodeauto0-dev
+Breaks: libgamemodeauto0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemodeauto
 Description: Optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with-dbus-service-dir=/lib/systemd/user --prefix=/usr

## gamemode 1.4+git20190722.4ecac89

=== debian/changelog ===
gamemode (1.4+git20190722.4ecac89-2) unstable; urgency=medium

  * Re-enable daemon (previously disabled only for troubleshooting purposes)
    (Closes: #933997)

 -- Jonathan Carter <jcc@debian.org>  Mon, 05 Aug 2019 22:59:40 +0200

gamemode (1.4+git20190722.4ecac89-1) unstable; urgency=medium

  [ Stephan Lachnit ]
  * New upstream release
  * Update standards version to 4.4.0

  [ Jonathan Carter ]
  * New build-dependency: libdbus-1-dev

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sun, 21 Jul 2019 15:39:35 +0200

gamemode (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * Update copyright years
  * Update standards version to 4.3.0
  * Upgrade to debhelper-compat (= 12)

 -- Jonathan Carter <jcc@debian.org>  Thu, 05 Apr 2019 16:56:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with-dbus-service-dir=/lib/systemd/user --prefix=/usr --wrap-mode=forcefallback --with_daemon=true

## gamemode 1.5~git20190722.4ecac89

=== debian/changelog ===
gamemode (1.5~git20190722.4ecac89-1) unstable; urgency=medium

  * Bump version number to more accurately reflect version number
    in git
  * Include systemd unit file
  * Add debian/TODO.debian
  * Include default config file
  * Include example to test gamemode as gamemode-simulate-game 

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Aug 2019 07:06:49 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with-dbus-service-dir=/lib/systemd/user --prefix=/usr --wrap-mode=forcefallback --with_daemon=true
+
+override_dh_install:
+	mv obj-x86_64-linux-gnu/example/example obj-x86_64-linux-gnu/example/gamemode-simulate-game
+	dh_install

=== debian/watch ===
version=4
https://github.com/FeralInteractive/gamemode/releases .*?(\d\S*)\.tar\.gz

## gamemode 1.5~git20190812-107d469

=== debian/changelog ===
gamemode (1.5~git20190812-107d469-4) unstable; urgency=medium

  * Remove unused lintian override

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 Dec 2019 10:38:11 +0200

gamemode (1.5~git20190812-107d469-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/gamemode.manpages:
    - remove, the manpage is install by the build system
  * debian/gamemode.install:
    - don't install the service as a systemd system unit, it's an user
      service and correctly installed by the upstream build
    - include the manpage
    - install gamemode-simulate-game in libxec and not /usr/bin, it's a
       debugging utility, not a standard commands to provide to users
   * debian/libgamemode*-dev.install:
     - install the .pc
   * debian/libgamemode0.install:
    - install the cpugovctl and gpuclockctl in /usr/libexec which so
      the service can find them (Closes: #935670)
   * debian/rules:
     - set dh_missing --fail-missing

  [ Jonathan Carter ]
  * Update standards version to 4.4.1
  * Update description for new gamemode-simulate-game path
  * Remove unused lintian overrides

 -- Jonathan Carter <jcc@debian.org>  Wed, 04 Dec 2019 11:55:03 +0000

gamemode (1.5~git20190812-107d469-1) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Sep 2019 12:11:20 +0000

gamemode (1.5~git20190812-107d469-1~exp2) unstable; urgency=medium

  * Remove unusable symbol files
  * Provide more lintian overrides for missing manpages for trivial programs

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Sep 2019 10:02:46 +0000

gamemode (1.5~git20190812-107d469-1) experimental; urgency=medium

  * New upstream snapshot
  * debian/control: Add note about gamemode-simulate-game
  * Move gpuclockctl to usr/bin
  * Provide lintian overrides for missing manpages for trivial programs

 -- Jonathan Carter <jcc@debian.org>  Fri, 20 Sep 2019 06:56:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                git,
+               libdbus-1-dev,
                libinih-dev,
                libinih1,
                libsystemd-dev,
@@ -11,7 +12,7 @@
                ninja-build,
                pkg-config,
                systemd
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode
@@ -35,11 +36,17 @@
  the Intel and AMD CPU powersave or ondemand governors, but is intended to
  be expanded beyond just CPU governor states, as there are a wealth of
  automation tasks one might want to apply.
+ .
+ This package includes a program called '/usr/libexec/gamemode-simulate-game',
+ which invokes gamemode, sleeps for 10 seconds and then exits. This allows you
+ to test whether gamemode is working properly on your system, it will
+ return gamemode's error message if something went wrong, otherwise it
+ will exit with a 0 status.
 
 Package: libgamemode0
 Architecture: amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Optimise Linux system performance on demand
+Description: Optimise Linux system performance on demand (libraries)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
  .
@@ -63,8 +70,8 @@
 Breaks: libgamemode0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode
-Description: Optimise Linux system performance on demand
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemode0 (= ${binary:Version})
+Description: Optimise Linux system performance on demand (dev files)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
  .
@@ -87,7 +94,7 @@
 Package: libgamemodeauto0
 Architecture: amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Optimise Linux system performance on demand
+Description: Automatically optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
  .
@@ -111,8 +118,8 @@
 Breaks: libgamemodeauto0-dev
 Section: libdevel
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemodeauto
-Description: Optimise Linux system performance on demand
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgamemodeauto0 (= ${binary:Version})
+Description: Automatically optimise system performance on demand (dev files)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
  .
@@ -130,4 +137,3 @@
  automation tasks one might want to apply.
  .
  This package provides the libgamemodeauto library development files.
-

## gamemode 1.5

=== debian/changelog ===
gamemode (1.5-1) unstable; urgency=medium

  [ Stephan Lachnit ]
  * New upstream release
  * Update standards version to 4.5
  * Add Rules-Require-Root: no
  * Add debian/clean file and remove debian/.gitignore

  [ Jonathan Carter ]
  * Keep inih subproject until we find a way to use the distro version
  * Update README.debian

 -- Jonathan Carter <jcc@debian.org>  Sun, 23 Feb 2020 10:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                ninja-build,
                pkg-config,
                systemd
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_install:
 	mv obj-x86_64-linux-gnu/example/example obj-x86_64-linux-gnu/example/gamemode-simulate-game
 	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing

## gamemode 1.5.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 option('with-systemd', type: 'boolean', description: 'Use systemd support (unit, etc)', value: 'true')
+
+# limits.d
+option('with-pam-group', type: 'string', description: 'Install the limits.d configuration file to allow renicing as an unpriviledged user being part of the specified group')
 
 # systemd specific
 option('with-systemd-user-unit-dir', type: 'string', description: 'Explicitly set the systemd user unit directory')
@@ -9,3 +12,4 @@
 # General options
 option('with-examples', type: 'boolean', description: 'Build sample programs', value: 'true')
 option('with-daemon', type: 'boolean', description: 'Build the daemon', value: 'true')
+option('with-util', type: 'boolean', description: 'Build the utilities', value: 'true')

=== debian/changelog ===
gamemode (1.5.1-5~bpo10+1) buster-backports; urgency=medium

  [ Stephan Lachnit ]
  * Rebuild for buster-backports.
  * Workaround for libinih1: >= 48 required for building, >= 40 for runtime

  [ Jonathan Carter ]
  * Downgrade debhelper-compat to (= 12) for backport

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sat, 04 Jul 2020 14:28:33 +0200

gamemode (1.5.1-5) unstable; urgency=medium

  * libgamemodeauto depends on libgamemode
  * improve descriptions of the libraries
  * recommend 32bit libs on amd64
  * put libgamemode.so in libgamemode0 package

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Wed, 17 Jun 2020 10:48:04 +0200

gamemode (1.5.1-4) unstable; urgency=medium

  * fix autopkgtest
  * fix metadata
  * move gamemoderun out of daemon package
  * mark libgamemode-dev as Multi-Arch: same

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Wed, 13 May 2020 15:29:59 +0200

gamemode (1.5.1-3) unstable; urgency=medium

  * Upgrade to debhelper-compat (= 13)
  * Fix disabling the autostart of the daemon
  * Put daemon in a separate package for proper mutliarch
  * Add Multi-Arch entries in control file
  * Now reverts to previous cpu govenour instead of powersave
  * Preparing autopkgtest via gamemode-simulate-game

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Fri, 01 May 2020 22:30:38 +0200

gamemode (1.5.1-2) unstable; urgency=medium

  [ Stephan Lachnit ]
  * Remove README.debian
  * Rename example to gamemode-simulate-game as patch for multiarch
  * Clean up debian/rules file
  * Remove debian/clean file again (debclean works fine)
  * Remove lintian override for man-page to follow Debian Policy
  * Remove TODO.debian

  [ Jonathan Carter ]
  * Add symbol files
    (Merged from MR#8, thanks seb128)
  * Reduce number of -dev packages generated
    (Merged from MR#9, thanks seb128)
  * Deal with upgrades from previous buggy versions
    where service was autostarted
    (Merged from MR#10, thanks seb128)
  * Manually merge changes from Stephan above
    (Merged from MR11, thanks stephanlachnit)
  * Suggest gnome-shell-extension-gamemode in the package description
    and add to Suggests field.

 -- Jonathan Carter <jcc@debian.org>  Thu, 30 Apr 2020 13:44:10 +0200

gamemode (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Remove README.debian (no longer relevant)

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Mar 2020 11:39:55 +0200

=== debian/control ===
Source: gamemode
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>,
           Stephan Lachnit <stephanlachnit@protonmail.com>,
Build-Depends: debhelper-compat (= 12),
               libdbus-1-dev,
               libinih-dev (>= 48),
               libsystemd-dev,
               meson,
               ninja-build,
               pkg-config,
               systemd,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/FeralInteractive/gamemode
Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
Vcs-Browser: https://salsa.debian.org/games-team/gamemode

Package: gamemode
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gamemode-daemon (= ${binary:Version}),
         libgamemode0 (= ${binary:Version}),
         libgamemodeauto0 (= ${binary:Version}),
Recommends: libgamemode0:i386 (= ${binary:Version}) [amd64],
            libgamemodeauto0:i386 (= ${binary:Version}) [amd64],
Suggests: gnome-shell-extension-gamemode,
Description: Optimise Linux system performance on demand
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package is a metapackage including everything that is necessary to run
 gamemode-enabled games or to enable it by hand for applications. It includes
 a program called '/usr/games/gamemoderun', which can invoke gamemode into any
 application. It also includes '/usr/games/gamemode-simulate-game', which
 invokes gamemode, sleeps for 10 seconds and then exits. This allows you to
 test whether gamemode is working properly on your system, it will return
 gamemode's error message if something went wrong, otherwise it will exit with
 a 0 status.

Package: gamemode-daemon
Section: misc
Architecture: any
Multi-Arch: foreign
Breaks: gamemode (<< 1.5.1-3),
        libgamemode0 (<< 1.5.1-3),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Optimise Linux system performance on demand (daemon)
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the daemon and helper files.

Package: libgamemode0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gamemode-daemon (= ${binary:Version}),
Description: Optimise Linux system performance on demand (host library)
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the host library for gamemode. It is an internal
 library which communicates with the daemon.

Package: libgamemodeauto0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gamemode-daemon (= ${binary:Version}),
         libgamemode0 (= ${binary:Version}),
Description: Optimise Linux system performance on demand (client library)
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the libgamemodeauto library. It is a client library
 which loads libgamemode if installed. The library can also be used to inject
 gamemode into any program with the LD_PRELOAD environment variable.

Package: libgamemode-dev
Replaces: libgamemode0-dev, libgamemodeauto-dev
Breaks: libgamemode0-dev, libgamemodeauto-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgamemode0 (= ${binary:Version}),
         libgamemodeauto0 (= ${binary:Version}),
Description: Optimise Linux system performance on demand (dev files)
 GameMode is a daemon/lib combo for Linux that allows games to request a set
 of optimisations be temporarily applied to the host OS.
 .
 The design has a clear-cut abstraction between the host daemon and library
 (gamemoded and libgamemode), and the client loaders (libgamemodeauto and
 gamemode_client.h) that allows for safe use without worrying about whether
 the daemon is installed or running. This design also means that while the
 host library currently relies on systemd for exchanging messages with the
 daemon, it's entirely possible to implement other internals that still work
 with the same clients.
 .
 GameMode was designed primarily as a stop-gap solution to problems with
 the Intel and AMD CPU powersave or ondemand governors, but is intended to
 be expanded beyond just CPU governor states, as there are a wealth of
 automation tasks one might want to apply.
 .
 This package provides the development files for gamemode.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i "s/libinih1 (>= 48)/libinih1 (>= 40)/g" debian/gamemode-daemon.substvars

=== debian/watch ===
version=4
# add once public key is published: opts="pgpsigurlmangle=s%$%.asc%"
https://github.com/FeralInteractive/gamemode/releases \
    (?:.*?/)gamemode-(\d[\d.]*)\.tar\.xz debian uupdate

## gamemode 1.6.1

=== meson_options.txt ===
# limits.d
option('with-pam-group', type: 'string', description: 'Install the limits.d configuration file to allow renicing as an unpriviledged user being part of the specified group')

# sd-bus provider
option('with-sd-bus-provider', type: 'combo', choices: ['systemd', 'elogind', 'no-daemon'], value: 'systemd')

# systemd specific
option('with-systemd-user-unit-dir', type: 'string', description: 'Explicitly set the systemd user unit directory')

# Not using systemd
option('with-dbus-service-dir', type: 'string', description: 'Explicitly set the D-BUS session directory')

# General options
option('with-examples', type: 'boolean', description: 'Build sample programs', value: 'true')
option('with-util', type: 'boolean', description: 'Build the utilities', value: 'true')

=== debian/changelog ===
gamemode (1.6.1-1build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:20 +0100

gamemode (1.6.1-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:46 +0200

gamemode (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Set Multi-Arch: allowed for package gamemode
  * Make packages cross-arch binNMU safe

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Fri, 19 Feb 2021 12:59:15 +0100

gamemode (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patches.
  * Rename libgamemode-dev package to gamemode-dev.
  * Add patch to fix gamemoded --test on Debian.

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Fri, 11 Sep 2020 23:41:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,30 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>,
            Stephan Lachnit <stephanlachnit@protonmail.com>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
-               libinih-dev (>= 48),
+               libinih-dev,
                libsystemd-dev,
                meson,
                ninja-build,
                pkg-config,
                systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode
 
 Package: gamemode
 Architecture: any
-Multi-Arch: no
+Multi-Arch: allowed
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gamemode-daemon (= ${binary:Version}),
-         libgamemode0 (= ${binary:Version}),
-         libgamemodeauto0 (= ${binary:Version}),
-Recommends: libgamemode0:i386 (= ${binary:Version}) [amd64],
-            libgamemodeauto0:i386 (= ${binary:Version}) [amd64],
+         gamemode-daemon,
+         libgamemode0,
+         libgamemodeauto0,
+Recommends: libgamemode0:i386 [amd64],
+            libgamemodeauto0:i386 [amd64],
 Suggests: gnome-shell-extension-gamemode,
 Description: Optimise Linux system performance on demand
  GameMode is a daemon/lib combo for Linux that allows games to request a set
@@ -88,7 +88,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gamemode-daemon (= ${binary:Version}),
+         gamemode-daemon,
 Description: Optimise Linux system performance on demand (host library)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
@@ -115,8 +115,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gamemode-daemon (= ${binary:Version}),
-         libgamemode0 (= ${binary:Version}),
+Recommends: libgamemode0 (= ${binary:Version}),
 Description: Optimise Linux system performance on demand (client library)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.
@@ -138,15 +137,16 @@
  which loads libgamemode if installed. The library can also be used to inject
  gamemode into any program with the LD_PRELOAD environment variable.
 
-Package: libgamemode-dev
-Replaces: libgamemode0-dev, libgamemodeauto-dev
-Breaks: libgamemode0-dev, libgamemodeauto-dev
+Package: gamemode-dev
+Replaces: libgamemode-dev, libgamemode0-dev, libgamemodeauto-dev
+Breaks: libgamemode-dev, libgamemode0-dev, libgamemodeauto-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libgamemode0 (= ${binary:Version}),
          libgamemodeauto0 (= ${binary:Version}),
+Recommends: libgamemode0 (= ${binary:Version}),
+            gamemode:any,
 Description: Optimise Linux system performance on demand (dev files)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

=== debian/tests/control ===
Tests: gamemode-simulate-game.sh
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gamemode-$1\.tar\.gz/" \
    https://github.com/FeralInteractive/gamemode/tags .*/v?(\d\S+)\.tar\.gz

## gamemode 1.7

=== debian/changelog ===
gamemode (1.7-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix build with glibc 2.36

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.3.1-1.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 11:59:36 -0400

gamemode (1.7-1) unstable; urgency=medium

  * New upstream version 1.7
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 21 Jul 2022 19:13:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gamemode
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>,
-           Stephan Lachnit <stephanlachnit@protonmail.com>,
+           Stephan Lachnit <stephanlachnit@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
                libinih-dev,
@@ -13,7 +13,7 @@
                pkg-config,
                systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode

=== debian/tests/control ===
Tests: gamemode-simulate-game.sh
Depends: gamemode, dbus-daemon
Restrictions: allow-stderr

## gamemode 1.8.1

=== debian/changelog ===
gamemode (1.8.1-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:58:08 +0200

gamemode (1.8.1-2) unstable; urgency=medium

  * Replace systemd build-dependency with systemd-dev (Closes: #1060508)

 -- Jonathan Carter <jcc@debian.org>  Thu, 25 Jan 2024 17:49:19 +0200

gamemode (1.8.1-1) unstable; urgency=medium

  * New upstream release 
  * Remove debian/patches (no longer needed)
  * Remove libgamemodeauto.a from debian/install (no longer available)
  * Add new files to gamemode.install:
    - etc/security/limits.d/10-gamemode.conf
    - usr/libexec/cpucorectl
    - usr/libexec/procsysctl

 -- Jonathan Carter <jcc@debian.org>  Thu, 14 Dec 2023 15:34:50 +0200

gamemode (1.7-3) unstable; urgency=medium

  [ Safir Secerovic ]
  * Add pkexec to gamemode-daemon dependencies

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 09 Aug 2023 18:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: gamemode
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>,
            Stephan Lachnit <stephanlachnit@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               libdbus-1-dev,
                libinih-dev,
+	       libdbus-1-dev,
                libsystemd-dev,
                meson,
                ninja-build,
                pkg-config,
-               systemd,
+               systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode
@@ -63,6 +64,7 @@
         libgamemode0 (<< 1.5.1-3),
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         pkexec,
 Description: Optimise Linux system performance on demand (daemon)
  GameMode is a daemon/lib combo for Linux that allows games to request a set
  of optimisations be temporarily applied to the host OS.

## gamemode 1.8.2

=== meson_options.txt ===
# limits.d
option('with-pam-renicing', type: 'boolean', description: 'Install the limits.d configuration file to allow renicing as a user being part of the privileged gamemode group', value: 'true')
option('with-pam-limits-dir', type: 'string', description: 'Explicitly set the PAM limits.d directory', value: '/etc/security/limits.d')

# sd-bus provider
option('with-sd-bus-provider', type: 'combo', choices: ['systemd', 'elogind', 'no-daemon'], value: 'systemd')

# systemd specific
option('with-systemd-user-unit', type: 'boolean', description: 'Install systemd user unit', value: 'true')
option('with-systemd-user-unit-dir', type: 'string', description: 'Explicitly set the systemd user unit directory')
option('with-systemd-group', type: 'boolean', description: 'Install privileged gamemode group with systemd', value: 'true')
option('with-systemd-group-dir', type: 'string', description: 'Explicitly set the systemd group directory')

# Not using systemd
option('with-dbus-service-dir', type: 'string', description: 'Explicitly set the D-BUS session directory')

# General options
option('with-examples', type: 'boolean', description: 'Build sample programs', value: 'true')
option('with-util', type: 'boolean', description: 'Build the utilities', value: 'true')
option('with-privileged-group', type: 'string', description: 'Group that has access to privileged gamemode features', value: 'gamemode')

=== debian/changelog ===
gamemode (1.8.2-2) unstable; urgency=medium

  * Team Upload
  * Use canoncical email address for Games Team
  * Replace obsolete pkg-config dep with pkgconf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:27:21 +0100

gamemode (1.8.2-1) unstable; urgency=medium

  * New upstream releas
  * Update copyright years
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 21 Aug 2024 09:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gamemode
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>,
            Stephan Lachnit <stephanlachnit@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,10 +10,10 @@
                libsystemd-dev,
                meson,
                ninja-build,
-               pkg-config,
+               pkgconf,
                systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/FeralInteractive/gamemode
 Vcs-Git: https://salsa.debian.org/games-team/gamemode.git
 Vcs-Browser: https://salsa.debian.org/games-team/gamemode

=== debian/watch ===
version=4
https://github.com/FeralInteractive/gamemode/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
